#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "histogram_internal.h"
#include "svg.h"

using namespace std;
const size_t SCREEN_WIDTH = 80;
const size_t MAX_ASTERISK = SCREEN_WIDTH - 3 - 1;

struct Input
{
    vector<double> numbers;
    size_t bin_count{};
};

Input input_data()
{
    size_t number_count;
    cerr << "Enter number count:";
    cin >> number_count;

    Input in;

    in.numbers.resize(number_count);
    cerr << "Enter numbers: ";
    for(size_t i = 0; i < number_count; i++)
        cin >> in.numbers[i];

    cerr << "Enter number of bins: ";
    cin >> in.bin_count;

    return in;

}

int main()
{
    Input in = input_data();

    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg_vertical(bins);

}
